declare global {
    var DifferenceBanner: Record<PinId, Feature>;
}

export enum BreakpointId {
    md,
    lg,
    xl,
}

export enum PinId {
    TopLeft = 'top_left',
    TopMiddle = 'top_middle',
    TopRight = 'top_right',
    BottomLeft = 'bottom_left',
    BottomMiddle = 'bottom_middle',
    BottomRight = 'bottom_right',
}

export interface Feature {
    image: string;
    video?: string;
    title: string;
    content: string;
}

export interface Background {
    image: string;
    width: number;
    height: number;
}

export interface PinPosition {
    x: number;
    y: number;
}
