declare global {
    var JoinNetworkForm: {
        endpoint: string;
        hashKey: string;
        hashValue: string;
        intro: string;
    };
}

export interface FreeformFields {
    company: string;
    street_1: string;
    street_2: string;
    suburb: string;
    state: string;
    postcode: string;
    phone: string;
    email: string;
    website: string;
    type: string[];
    service: string[];
    products: string[];
    message: string;
}

export type FreeformErrors = Partial<Record<keyof FreeformFields, string[]>>;

export type FreeformHoneypot = {
    name: string;
    hash: string;
}

export type FreeformSuccessResponse = {
    success: true;
    finished: true;
    returnUrl: string;
    submissionId: number | null;
    honeypot: FreeformHoneypot
}

export type FreeformErrorResponse = {
    success: false;
    finished: false;
    formErrors: string[];
    errors: FreeformErrors;
    honeypot: FreeformHoneypot
}

export type FreeformResponse = FreeformSuccessResponse | FreeformErrorResponse;
