type Intermediate<T> = [number, T];
type CompareFunction<T> = (a: T, b: T) => number;

// https://stackoverflow.com/questions/1427608/fast-stable-sorting-algorithm-implementation-in-javascript/45422645#45422645
export default function stableSort<T>(array: T[], compareFn: CompareFunction<T>): T[] {
    return array
        .map((a: T, index: number): Intermediate<T> => [index, a])
        .sort((a: Intermediate<T>, b: Intermediate<T>): number => compareFn(a[1], b[1]) || a[0] - b[0])
        .map((e: Intermediate<T>): T => e[1]);
}
