module.exports = function (api) {
    const isWebTarget = api.caller(caller => caller && caller.target === 'web');

    return {
        presets: [
            ['@babel/preset-env', {
                targets: isWebTarget
                    ? 'defaults'
                    : {node: 'current'},
                loose: true,
                shippedProposals: true,
                useBuiltIns: 'usage',
                corejs: {
                    version: '3.16',
                    proposals: true,
                },
            }],
        ],
        plugins: [
            isWebTarget ? ['import-glob', {}] : {},
            ['@babel/plugin-transform-runtime', {
                corejs: 3,
                useESModules: true,
            }],
        ],
    };
};
