import projectPath from './lib/projectPath';

export default () => ({

    browserSync: {
        proxy: 'http://zipscreen.test',
        files: [
            projectPath('system/user/templates/**/*'),
        ],
    },

    copy: {
        fonts: {
            src: projectPath(PATH_CONFIG.src, PATH_CONFIG.fonts.src, '**/*'),
            dest: projectPath(PATH_CONFIG.dest, PATH_CONFIG.fonts.dest),
        },
    },

    webpack: {
        entry: {
            'global': './global.js',
            'contact': './contact.ts',
            'difference-banner': './difference-banner.ts',
            'gallery': './gallery.ts',
            'join-network': './join-network.ts',
            'locator': './locator.ts',
            'visualiser': './visualiser.ts',
            'product-gallery': './product-gallery.ts',
            'videos': './videos.ts',
        },
    },

    scripts: {
        'vendor.js': [
            projectPath('node_modules/jquery/dist/jquery.js'),
        ],
    },

    sprites: {
        dest: projectPath('system/user/templates/default_site/_partials'),
        dest_rename: {
            basename: 'svg_sprite',
            extname: '.html',
        },
    },

})
