/*
 * gulpfile.babel.js
 * =================
 * Rather than manage one giant configuration file responsible for creating multiple tasks, each task has been broken
 * out into its own file in `gulpfile.babel.js/tasks`. Any files in that directory get automatically required below.
 */

import requireDir from 'require-dir';
import getEnvironment from './lib/getEnvironment';
import getPathConfig from './lib/getPathConfig';
import getTaskConfig from './lib/getTaskConfig';
import registerTasks from './lib/registerTasks';

const tasks = requireDir('./tasks');

global.GULP_ENV = getEnvironment();
global.PATH_CONFIG = getPathConfig(tasks);
global.TASK_CONFIG = getTaskConfig(tasks);
registerTasks(tasks);
