import colors from 'ansi-colors';
import log from 'fancy-log';
import prettyHrtime from 'pretty-hrtime';

let startTime;

module.exports = {
    start(filepath) {
        startTime = process.hrtime();
        const filepaths = Array.isArray(filepath)
            ? filepath.map(x => colors.green(x)).join(', ')
            : colors.green(filepath);
        log('Bundling', filepaths + '...');
    },

    watch(bundleName) {
        log('Watching files required by', colors.yellow(bundleName));
    },

    end(filepath) {
        const taskTime = process.hrtime(startTime);
        const prettyTime = prettyHrtime(taskTime);
        const filepaths = Array.isArray(filepath)
            ? filepath.map(x => colors.green(x)).join(', ')
            : colors.green(filepath);
        log('Bundled', filepaths, 'in', colors.magenta(prettyTime));
    },
};
