export default function getEnvironment() {
    const env = getEnvironmentName();
    const prod = (env === 'prod');
    const debug = !prod;

    return {env, prod, debug};
}

function getEnvironmentName() {
    if (process.env.NODE_ENV) {
        return process.env.NODE_ENV;
    }

    for (const val of process.argv) {
        if (val === 'build:prod') {
            return 'prod';
        }
    }

    return 'dev';
}
