import PluginError from 'plugin-error';
import projectPath from './projectPath';

export default function handleError(label = 'unknown') {
    return function (error) {
        const plugin = error.plugin || label;
        const search = new RegExp(projectPath(), 'g');
        const message = (error.messageFormatted || error.message || '').replace(search, '');

        process.stderr.write(new PluginError(plugin, message).toString() + '\n');

        if (this && typeof this.emit === 'function') {
            this.emit('end');
        }
    };
};
