import fs from 'fs';
import path from 'path';

export default function getSassFunctions() {
    const thisFile = module.filename;
    const thisPath = path.resolve(path.dirname(thisFile), '.');

    const files = fs.readdirSync(thisPath);
    const functions = {};
    for (const basename of files) {
        const fileName = path.resolve(thisPath, basename);

        if (fileName === thisFile) {
            continue;
        }

        let declarations = require(`./${basename}`).default;
        if (!Array.isArray(declarations)) {
            declarations = [declarations];
        }

        for (const {declaration, implementation} of declarations) {
            functions[declaration] = implementation;
        }
    }

    return functions;
}
