import {types} from 'sass';

export default {
    declaration: 'pow($x, $y)',
    implementation: pow,
};

function pow(x, y) {
    if (y.getUnit()) {
        throw new Error('Exponent must not have a unit.');
    }

    const magnitude = Math.pow(x.getValue(), y.getValue());

    return new types.Number(magnitude, x.getUnit());
}
