import gulp, {parallel} from 'gulp';
import gulpIf from 'gulp-if';
import rename from 'gulp-rename';
import {sync} from './browser-sync';

const subtasks = [];
export default function copy(done) {
    return subtasks.length
        ? parallel(subtasks)(done)
        : done();
}

const copySubtask = (target) => () => {
    return gulp.src(target.src)
        .pipe(gulpIf(target.rename, rename(target.rename)))
        .pipe(gulp.dest(target.dest))
        .pipe(sync.stream());
};

copy.displayName = 'copy';
copy.description = 'Copy files from a source directory to the output.';
copy.defaultConfig = () => ({});
copy.register = () => {
    gulp.task(copy);

    for (const key of Object.keys(TASK_CONFIG.copy)) {
        gulp.task(`copy:${key}`, copySubtask(TASK_CONFIG.copy[key]));
        subtasks.push(`copy:${key}`);
    }
};

