(function($) {
    var onDisplay = function(cell) {
        var colId = cell.data('column-id');
        var random = Math.floor(Math.random()*100000000);
        var colName = 'col_id_'+ colId;
        var newId = colName +'_'+ random;
        var re = new RegExp(colName, 'g');

        // Assign a new randomly generated ID to each video field so all the events are properly
        // bound to the correct field. Blocks will ensure that the hidden field names containing
        // data to be saved will always be correct. We just need to do this for the user interactions.
        cell.find('*').each(function(){
            var eleData = $(this).attr('data-field-name');

            if (eleData) {
                $(this).attr('data-field-name', eleData.replace(re, newId));
            }
        });

        cell.find('.reel-field-container[data-content-type="grid"], .reel-field-container[data-content-type="blocks"]').each(function() {
            var $field = new ReelFacade($(this));
            $field.init();
        });
    };

    if (Grid !== 'undefined') {
        Grid.bind('reel', 'display', onDisplay);
    }
})(jQuery);
