<?php

use BoldMinded\Reel\Library\Basee\Setting;
use BoldMinded\Reel\Service\Helper;
use BoldMinded\Reel\Library\Basee\Updater;

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * ExpressionEngine Reel Module Class
 *
 * @package     ExpressionEngine
 * @subpackage  Modules
 * @category    Reel
 * @author      Brian Litzinger
 * @copyright   Copyright (c) 2017 - Brian Litzinger
 * @link        http://boldminded.com/add-ons/reel
 * @license
 *
 * Copyright (c) 2011, 2012. BoldMinded, LLC
 * All rights reserved.
 *
 * This source is commercial software. Use of this software requires a
 * site license for each domain it is used on. Use of this software or any
 * of its source code without express written permission in the form of
 * a purchased commercial or other license is prohibited.
 *
 * THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
 * PARTICULAR PURPOSE.
 *
 * As part of the license agreement for this software, all modifications
 * to this source must be submitted to the original author for review and
 * possible inclusion in future releases. No compensation will be provided
 * for patches, although where possible we will attribute each contribution
 * in file revision notes. Submitting such modifications constitutes
 * assignment of copyright to the original author (Brian Litzinger and
 * BoldMinded, LLC) for such modifications. If you do not wish to assign
 * copyright to the original author, your license to  use and modify this
 * source is null and void. Use of this software constitutes your agreement
 * to this clause.
 */

class Reel_upd {

    public $version = REEL_VERSION;

    public function __construct($switch = TRUE)
    {
    }

    public function install()
    {
        $updater = new Updater();
        $updater
            ->setFilePath(PATH_THIRD.'reel/updates')
            ->setHookTemplate([
                'class' => 'Reel_ext',
                'settings' => '',
                'priority' => 5,
                'version' => REEL_VERSION,
                'enabled' => 'y',
            ])
            ->fetchUpdates(0, true)
            ->runUpdates();

        return true;
    }

    public function uninstall()
    {
        $db = ee('db');

        $db->where('module_name', 'Reel');
        $db->delete('modules');

        $db->delete('extensions', array('class' => 'Reel_ext'));
        $db->delete('actions', array('class' => 'Reel'));

        $db->delete('boldminded_settings', array('addon' => 'reel'));

        return TRUE;
    }

    public function update($current = '')
    {
        $updater = new Updater();
        $updater
            ->setFilePath(PATH_THIRD.'reel/updates')
            ->setHookTemplate([
                'class' => 'Reel_ext',
                'settings' => '',
                'priority' => 5,
                'version' => REEL_VERSION,
                'enabled' => 'y',
            ])
            ->fetchUpdates($current)
            ->runUpdates();

        return true;
    }
}
