<?php
$showYouTubeTab = (isset($globalSettings['youtube']['api_key']) && $globalSettings['youtube']['api_key'] !== '' );
$showVimeoTab = (isset($globalSettings['vimeo']['client_id']) && $globalSettings['vimeo']['client_id'] !== '' );
?>
<div class="modal-wrap modal-wrap-reel <?php echo $fieldModalName ?> hidden"
     data-field-name="<?php echo $fieldName ?>"
     data-settings="<?php echo $settingsEncoded ?>"
     data-global-settings="<?php echo $globalSettingsEncoded ?>"
>

    <div class="modal">
        <div class="col-group">
            <div class="col w-16">
                <a class="m-close" href="#"></a>
                <div class="box">
                    <div class="col-group">
                        <div class="col w-8 reel-modal-list">
                            <form class="reel-modal-search-form">
                                <input type="text" placeholder="Search string or video ID" class="reel-modal-search-input" value="" />
                                <input type="submit" class="btn reel-modal-search-submit" value="Search" />
                            </form>
                            <div class="tab-wrap reel-modal-tabs-container">
                                <ul class="tabs reel-modal-tabs">
                                    <?php if ($showYouTubeTab) :?>
                                        <li><a class="js-tab" href="" rel="t-0" data-type="youtube">YouTube</a></li>
                                    <?php endif; ?>
                                    <?php if ($showVimeoTab) :?>
                                        <li><a <?php if (!$showYouTubeTab && $showVimeoTab) :?>class="js-tab"<?php endif; ?> href="" rel="t-1" data-type="vimeo">Vimeo</a></li>
                                    <?php endif; ?>
                                </ul>
                                <div class="tab t-0 reel-modal-list-service reel-modal-list-youtube <?php if ($showYouTubeTab || !$showVimeoTab) :?>tab-open<?php endif; ?>">
                                    <div class="reel-modal-filters reel-modal-filters-youtube hidden">
                                        <?php if (isset($globalSettings['youtube']['user']) && $globalSettings['youtube']['user'] !== ''): ?>
                                            <p>Search only <b><?php echo $globalSettings['youtube']['user'] ?></b>'s videos
                                                <?php $currentState = $globalSettings['youtube']['show_on_load'] == 'y' ? 'on' : 'off'; ?>
                                                <a href="#" class="toggle-btn toggle-btn--youtube-user yes_no <?php echo $currentState ?>" data-service="youtube" data-option-name="user" data-option-value="<?php echo $globalSettings['youtube']['user'] ?>">
                                                    <span class="slider"></span>
                                                    <span class="option"></span>
                                                </a>
                                            </p>
                                        <?php endif; ?>
                                        <?php if (isset($globalSettings['youtube']['channel']) && $globalSettings['youtube']['channel'] !== ''): ?>
                                            <p>Search only in channel<?php if (count(explode(',', $globalSettings['youtube']['channel'])) > 1) { echo 's'; } ?> <b><?php echo $globalSettings['youtube']['channel'] ?></b>
                                                <?php $currentState = $globalSettings['youtube']['show_on_load'] == 'y' ? 'on' : 'off'; ?>
                                                <a href="#" class="toggle-btn toggle-btn--youtube-channel yes_no <?php echo $currentState ?>" data-service="youtube" data-option-name="channel" data-option-value="<?php echo $globalSettings['youtube']['channel'] ?>">
                                                    <span class="slider"></span>
                                                    <span class="option"></span>
                                                </a>
                                            </p>
                                        <?php endif; ?>
                                    </div>
                                    <ul class="tbl-list">
                                        <li class="reel-loading hidden">
                                            <div class="reel-loading-spin"></div>
                                        </li>
                                    </ul>
                                </div>
                                <div class="tab t-1 reel-modal-list-service reel-modal-list-vimeo <?php if (!$showYouTubeTab && $showVimeoTab) :?>tab-open<?php endif; ?>">
                                    <div class="reel-modal-filters reel-modal-filters-youtube hidden">
                                        <?php if (isset($globalSettings['vimeo']['user']) && $globalSettings['vimeo']['user'] !== '' ) :?>
                                            Search only <?php echo $globalSettings['vimeo']['user'] ?>'s videos
                                            <a href="#" class="toggle-btn toggle-btn--vimeo-user <?php echo ($globalSettings['vimeo']['show_on_load'] == 'y' ? 'on' : 'off') ?>" data-service="vimeo" data-option-name="user" data-option-value="<?php echo $globalSettings['vimeo']['user'] ?>">
                                                <span class="slider"></span>
                                                <span class="option"></span>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                    <ul class="tbl-list">
                                        <li class="reel-loading hidden">
                                            <div class="reel-loading-spin"></div>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col w-8 reel-modal-preview-container">
                            <div class="reel-modal-preview">
                                <div class="reel-modal-iframe-container"></div>
                                <div class="col-group">
                                    <div class="col w-12 reel-modal-preview-author"></div>
                                    <div class="col w-4 reel-modal-preview-length"></div>
                                </div>
                                <p class="reel-modal-preview-description"></p>
                            </div>
                            <div class="reel-modal-preview-options">

                            </div>
                            <textarea class="reel-modal-data-container" style="display: none"></textarea>
                        </div>
                    </div>
                    <fieldset class="form-ctrls">
                        <div class="col-group">
                            <div class="col w-8">
                                <div class="paginate reel-modal-pagination-youtube">
                                    <ul>
                                        <!--<li class="reel-modal-pagination-first"><a href="#" rel="first">First</a></li>-->
                                        <li class="reel-modal-pagination-prev"><a href="#" rel="prev">Prev</a></li>
                                        <li><a class="act" href="#">1</a></li>
                                        <li class="reel-modal-pagination-next"><a href="#" rel="next">Next</a></li>
                                    </ul>
                                </div>
                                <div class="paginate reel-modal-pagination-vimeo">
                                    <ul>
                                        <!--<li class="reel-modal-pagination-first"><a href="#" rel="first">First</a></li>-->
                                        <li class="reel-modal-pagination-prev"><a href="#" rel="prev">Prev</a></li>
                                        <li><a class="act" href="#">1</a></li>
                                        <li class="reel-modal-pagination-next"><a href="#" rel="next">Next</a></li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col w-8">
                                <button type="submit" class="btn reel-modal-choose-btn">Choose</button>
                            </div>
                        </div>
                    </fieldset>
                </div>
            </div>
        </div>
        <?php if ($debug): ?>
            <div class="col-group reel-debug">
                <h3>Requests</h3>
                <ol class="reel-debug-requests"></ol>

                <div class="col w-8">
                    <h3>Model</h3>
                    <div class="reel-debug-model"></div>
                </div>
                <div class="col w-8">
                    <h3>Video Data</h3>
                    <div class="reel-debug-data"></div>
                </div>
            </div>
        <?php endif; ?>
    </div>

</div>
