<?php
$showYouTubeTab = (isset($globalSettings['youtube']['api_key']) && $globalSettings['youtube']['api_key'] !== '' );
$showVimeoTab = (isset($globalSettings['vimeo']['client_id']) && $globalSettings['vimeo']['client_id'] !== '' );
?>
<div class="modal-wrap modal-wrap-reel <?php echo $fieldModalName ?> hidden"
     data-field-name="<?php echo $fieldName ?>"
     data-settings="<?php echo $settingsEncoded ?>"
     data-global-settings="<?php echo $globalSettingsEncoded ?>"
>
    <div class="modal dialog">
        <a class="m-close" href="#"></a>
        <div class="col-group">
            <div class="col w-16">
                <div class="col-group">
                    <form class="reel-modal-search-form filter-bar">
                        <div class="filter-bar__item filter-search-form">
                            <input type="text" placeholder="Search string or video ID" class="search-input__input input--small reel-modal-search-input" value="" />
                        </div>
                        <?php if ($showYouTubeTab) :?>
                            <div class="filter-bar__item reel-modal-filters reel-modal-filters-youtube reel-modal-filters-dropdown reel-vertical-align" data-service="youtube" data-option-name="order">
                                <button class="filter-bar__button js-dropdown-toggle has-sub" href="#">Sort <span class="faded">(Relevance)</span></button>
                                <div class="dropdown">
                                    <div class="dropdown_scroll">
                                        <a class="dropdown__link" href="#" data-option-value="relevance">Relevance</a>
                                        <a class="dropdown__link" href="#" data-option-value="date">Date</a>
                                        <a class="dropdown__link" href="#" data-option-value="rating">Rating</a>
                                        <a class="dropdown__link" href="#" data-option-value="title">Title</a>
                                        <a class="dropdown__link" href="#" data-option-value="videoCount">Video Count</a>
                                        <a class="dropdown__link" href="#" data-option-value="viewCount">View Count</a>
                                    </div>
                                </div>
                            </div>
                        <?php endif; ?>
                        <?php if ($showVimeoTab) :?>
                            <div class="filter-bar__item reel-modal-filters reel-modal-filters-vimeo reel-modal-filters-dropdown reel-vertical-align" data-service="vimeo" data-option-name="order">
                                <button class="filter-bar__button js-dropdown-toggle has-sub" href="#">Sort <span class="faded">(Date)</span></button>
                                <div class="dropdown">
                                    <div class="dropdown_scroll">
                                        <!-- <a class="dropdown__link" href="#" data-option-value="relevant">Relevance</a> Not a valid option apparently? -->
                                        <a class="dropdown__link" href="#" data-option-value="alphabetical">Alphabetical</a>
                                        <a class="dropdown__link" href="#" data-option-value="date">Date</a>
                                        <a class="dropdown__link" href="#" data-option-value="duration">Duration</a>
                                        <a class="dropdown__link" href="#" data-option-value="likes">Likes</a>
                                        <a class="dropdown__link" href="#" data-option-value="plays">Plays</a>
                                    </div>
                                </div>
                            </div>
                            <div class="filter-bar__item reel-modal-filters reel-modal-filters-vimeo reel-modal-filters-dropdown reel-vertical-align" data-service="vimeo" data-option-name="direction">
                                <button class="filter-bar__button js-dropdown-toggle has-sub" href="#">Direction <span class="faded">(Desc)</span></button>
                                <div class="dropdown">
                                    <div class="dropdown_scroll">
                                        <a class="dropdown__link" href="#" data-option-value="desc">Descending</a>
                                        <a class="dropdown__link" href="#" data-option-value="asc">Ascending</a>
                                    </div>
                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="filter-bar__item">
                            <input type="submit" class="filter-bar__button button button--secondary button--small reel-modal-search-submit" value="Search" />
                        </div>
                        <?php if ($showYouTubeTab) :?>
                            <div class="filter-bar__item reel-modal-filters reel-modal-filters-youtube reel-vertical-align hidden">
                                <?php if (isset($globalSettings['youtube']['user']) && $globalSettings['youtube']['user'] !== ''): ?>
                                    Show only&nbsp;<b><?php echo $globalSettings['youtube']['user'] ?></b>'s videos
                                    <?php $currentState = $globalSettings['youtube']['show_on_load'] == 'y' ? 'on' : 'off'; ?>
                                    <button type="button" class="toggle-btn toggle-btn--youtube-user <?php echo $currentState ?>" data-toggle-for="service" data-state="<?php echo $currentState ?>" role="switch" data-service="youtube" data-option-name="user" data-option-value="<?php echo $globalSettings['youtube']['user'] ?>">
                                        <span class="slider"></span>
                                    </button>
                                <?php endif; ?>
                            </div>
                            <div class="filter-bar__item reel-modal-filters reel-modal-filters-youtube reel-vertical-align hidden">
                                <?php if (isset($globalSettings['youtube']['channel']) && $globalSettings['youtube']['channel'] !== ''): ?>
                                    Show only in channel<?php if (count(explode(',', $globalSettings['youtube']['channel'])) > 1) { echo 's'; } ?>&nbsp;<b><?php echo $globalSettings['youtube']['channel'] ?></b>
                                    <?php $currentState = $globalSettings['youtube']['show_on_load'] == 'y' ? 'on' : 'off'; ?>
                                    <button type="button" class="toggle-btn toggle-btn--youtube-channel <?php echo $currentState ?>" data-toggle-for="service" data-state="<?php echo $currentState ?>" role="switch" data-service="youtube" data-option-name="channel" data-option-value="<?php echo $globalSettings['youtube']['channel'] ?>">
                                        <span class="slider"></span>
                                    </button>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if ($showVimeoTab) :?>
                            <div class="filter-bar__item reel-modal-filters reel-modal-filters-vimeo reel-vertical-align hidden">
                                <?php if (isset($globalSettings['vimeo']['user']) && $globalSettings['vimeo']['user'] !== '' ) :?>
                                    Show only&nbsp;<b><?php echo $globalSettings['vimeo']['user'] ?></b>'s videos
                                    <button type="button" class="toggle-btn toggle-btn--vimeo-user <?php echo ($globalSettings['vimeo']['show_on_load'] == 'y' ? 'on' : 'off') ?>" data-service="vimeo" data-option-name="user" data-option-value="<?php echo $globalSettings['vimeo']['user'] ?>">
                                        <span class="slider"></span>
                                    </button>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </form>
                    <div class="col w-8 reel-modal-list">
                        <div class="tab-wrap reel-modal-tabs-container">
                            <div class="tab-bar reel-modal-tabs">
                                <div class="tab-bar__tabs">
                                    <?php if ($showYouTubeTab) :?>
                                        <button type="button" class="tab-bar__tab js-tab" rel="t-0" data-type="youtube">YouTube</button>
                                    <?php endif; ?>
                                    <?php if ($showVimeoTab) :?>
                                        <button type="button" class="tab-bar__tab js-tab" rel="t-1" data-type="vimeo">Vimeo</button>
                                    <?php endif; ?>
                                </div>
                            </div>

                            <?php if ($showYouTubeTab) :?>
                                <div class="tab t-0 reel-modal-list-service reel-modal-list-youtube">
                                    <ul class="<?php echo $isModernEE ? 'reel-modal-list-service__items' : 'tbl-list'; ?>">
                                        <li class="reel-loading hidden">
                                            <div class="fas fa-fw">
                                                <?php $this->embed('reel-icon'); ?>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            <?php endif; ?>

                            <?php if ($showVimeoTab) :?>
                                <div class="tab t-1 reel-modal-list-service reel-modal-list-vimeo">
                                    <ul class="<?php echo $isModernEE ? 'reel-modal-list-service__items' : 'tbl-list'; ?>">
                                        <li class="reel-loading hidden">
                                            <div class="fas fa-fw">
                                                <?php $this->embed('reel-icon'); ?>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            <?php endif; ?>

                            <fieldset class="form-ctrls">
                                <div class="col-group">
                                    <div class="col w-16">
                                        <div class="paginate reel-modal-pagination reel-modal-pagination-youtube">
                                            <ul>
                                                <li class="reel-modal-pagination-prev"><a href="#" rel="prev">Prev</a></li>
                                                <li><a class="act" href="#">1</a></li>
                                                <li class="reel-modal-pagination-next"><a href="#" rel="next">Next</a></li>
                                            </ul>
                                        </div>
                                        <div class="paginate reel-modal-pagination reel-modal-pagination-vimeo">
                                            <ul>
                                                <li class="reel-modal-pagination-prev"><a href="#" rel="prev">Prev</a></li>
                                                <li><a class="act" href="#">1</a></li>
                                                <li class="reel-modal-pagination-next"><a href="#" rel="next">Next</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                    <div class="col w-8 reel-modal-preview-container">
                        <div class="reel-modal-preview">
                            <div class="reel-modal-iframe-container">
                                <div class="reel-make-choice">
                                    <h1 class="reel-make-choice__choose hidden">Choose a video</h1>
                                    <h1 class="reel-make-choice__find hidden">Find a video</h1>
                                    <span><i class="fas fa-fw fa-arrow-left"></i></span>
                                    <span><i class="fas fa-fw fa-arrow-up"></i></span>
                                </div>
                            </div>
                            <div class="col-group">
                                <div class="col w-12 reel-modal-preview-author"></div>
                                <div class="col w-4 reel-modal-preview-length"></div>
                                <div class="col w-16 reel-modal-preview-description"></div>
                            </div>
                        </div>
                        <div class="reel-modal-preview-options text-center hidden">
                            <button type="submit" class="button button--primary reel-modal-choose-btn">Choose</button>
                        </div>
                        <textarea class="reel-modal-data-container" style="display: none"></textarea>
                    </div>
                </div>
            </div>
        </div>
        <?php if ($debug): ?>
        <div class="col-group reel-debug">
            <h3>Requests</h3>
            <ol class="reel-debug-requests"></ol>

            <div class="col w-8">
                <h3>Model</h3>
                <div class="reel-debug-model"></div>
            </div>
            <div class="col w-8">
                <h3>Video Data</h3>
                <div class="reel-debug-data"></div>
            </div>
        </div>
        <?php endif; ?>
    </div>

</div>
