<?php

namespace WarbleMedia\Address\Service;

class Countries
{
    /** @var array */
    private static $countries;

    /**
     * Countries constructor.
     */
    public function __construct()
    {
        ee()->lang->load('wm_address');
    }

    /**
     * @return array
     */
    public function all()
    {
        if (!isset(self::$countries)) {
            $config = ee()->config->loadFile('countries');

            self::$countries = $config['countries'];
        }

        return self::$countries;
    }

    /**
     * @param string $code
     * @return string|null
     */
    public function get($code)
    {
        $countries = $this->all();

        return array_key_exists($code, $countries) ? $countries[$code] : null;
    }

    /**
     * @param array $topCountries
     * @return array
     */
    public function dropdownOptions(array $topCountries = [])
    {
        $options = [];
        $countries = $this->all();

        // Add a placeholder to the top
        $options[''] = lang('wm_address_select_country');

        // Then add top countries
        foreach ($topCountries as $code) {
            if (array_key_exists($code, $countries)) {
                $options[lang('wm_address_top_countries')][$code] = $countries[$code];
            }
        }

        // Then add all countries to the bottom
        $options[lang('wm_address_all_countries')] = $countries;

        return $options;
    }
}
