<?php

use WarbleMedia\AssetManifest\Service\Manifest;

class Wm_asset_manifest
{
    /** @var string */
    private $siteUrl;

    /** @var string */
    private $basePath;

    /** @var \WarbleMedia\AssetManifest\Service\Manifest */
    private $manifest;

    /**
     * AssetManifest constructor.
     */
    public function __construct()
    {
        $this->siteUrl = rtrim(ee()->config->item('site_url', ''), '/');
        $this->basePath = rtrim(ee()->config->item('base_path', ''), '/');

        $filename = ee()->config->item('wm_asset_manifest');

        if ($filename !== false) {
            $this->manifest = Manifest::createFromFile($filename);
        } else {
            $this->manifest = new Manifest();
        }
    }

    /**
     * @return string
     */
    public function embed()
    {
        $asset = $this->basePath . '/' . ltrim($this->path(), '/');

        return is_file($asset) ? file_get_contents($asset) : '';
    }

    /**
     * @return string
     */
    public function path()
    {
        $asset = ee()->TMPL->fetch_param('asset', '');

        return $this->manifest->getPath($asset);
    }

    /**
     * @return string
     */
    public function url()
    {
        return $this->siteUrl . '/' . ltrim($this->path(), '/');
    }
}
