<?php

use ExpressionEngine\Service\Migration\Migration;

class CreateExtHookCpCssEndForAddonWmCpTweaks extends Migration
{
    /**
     * Execute the migration
     * @return void
     */
    public function up()
    {
        $addon = ee('Addon')->get('wm_cp_tweaks');

        $ext = [
            'class' => $addon->getExtensionClass(),
            'method' => 'cp_css_end',
            'hook' => 'cp_css_end',
            'settings' => serialize([]),
            'priority' => 10,
            'version' => $addon->getVersion(),
            'enabled' => 'y'
        ];

        // If we didn't find a matching Extension, lets just insert it
        ee('Model')->make('Extension', $ext)->save();
    }

    /**
     * Rollback the migration
     * @return void
     */
    public function down()
    {
        $addon = ee('Addon')->get('wm_cp_tweaks');

        ee('Model')->get('Extension')
            ->filter('class', $addon->getExtensionClass())
            ->delete();
    }
}
