<?php

namespace WarbleMedia\Seo\ControlPanel\Routes;

use ExpressionEngine\Service\Addon\Controllers\Mcp\AbstractRoute;
use function ee;
use function show_404;
use function var_dump;

class AuditEntry extends AbstractRoute
{
    protected $route_path = 'audit_entry';
    protected $cp_page_title = 'Audit Entry';
    protected $exclude_from_sidebar = true;

    /**
     * @param false $id
     * @return AbstractRoute
     */
    public function process($id = false)
    {
        // TODO: Implement audit entry route
        show_404();

        if (empty($id)) {
            show_404();
        }

        $this->addBreadcrumb('audit_entry', $this->cp_page_title);

        $entry = ee('Model')->get('ee:ChannelEntry')
            ->with('wm_seo:ContentFields as seo')
            ->fields(
                'entry_id',
                'title',
                'seo.title',
                'seo.description',
                'seo.robots_directive',
                'seo.og_title',
                'seo.og_type',
                'seo.og_url',
                'seo.og_description',
                'seo.og_image',
                'seo.twitter_title',
                'seo.twitter_type',
                'seo.twitter_description',
                'seo.twitter_image'
            )
            ->first();

        if ($entry === null) {
            show_404();
        }

        $entry->alias('wm_seo:ContentFields', 'ContentFields');

        $vars = [
            ''
        ];

        $this->setBody('audit_entry', $vars);

        return $this;
    }
}
