<?php

namespace WarbleMedia\Seo\Model;

use ExpressionEngine\Service\Model\Model;

class ContentFields extends Model
{
    // Documentation: https://docs.expressionengine.com/latest/development/services/model/building-your-own.html
    // You can get this all instances of this model by using:
    // ee('Model')->get('wm_seo:ContentFields')->all();

    protected static $_primary_key = 'id';
    protected static $_table_name = 'wm_seo_content';
    protected static $_relationships = [
        'ChannelEntry' => [
            'type'     => 'BelongsTo',
            'from_key' => 'entry_id',
            'to_key'   => 'entry_id',
            'model'    => 'ee:ChannelEntry',
            'weak'     => true,
            'inverse'  => [
                'name' => 'ContentFields',
                'type' => 'HasOne',
            ],
        ],
    ];

    // Add your properties as protected variables here
    protected $id;
    protected $site_id;
    protected $entry_id;
    protected $title;
    protected $description;
    protected $robots_directive;
    protected $og_title;
    protected $og_type;
    protected $og_url;
    protected $og_description;
    protected $og_image;
    protected $twitter_title;
    protected $twitter_type;
    protected $twitter_description;
    protected $twitter_image;
}
