<?php

use ExpressionEngine\Service\Migration\Migration;

class CreateWmSeoContentTable extends Migration
{
    /**
     * Execute the migration
     * @return void
     */
    public function up()
    {
        $fields = [
            'id'                  => ['type' => 'int', 'constraint' => '10', 'unsigned' => true, 'auto_increment' => true],
            'site_id'             => ['type' => 'int', 'constraint' => '4', 'unsigned' => true, 'default' => 1, 'null' => false],
            'entry_id'            => ['type' => 'int', 'constraint' => '10', 'unsigned' => true, 'default' => 1, 'null' => false],
            'title'               => ['type' => 'varchar', 'constraint' => '1024'],
            'description'         => ['type' => 'text'],
            'robots_directive'    => ['type' => 'varchar', 'constraint' => '70'],
            'og_title'            => ['type' => 'varchar', 'constraint' => '1024'],
            'og_type'             => ['type' => 'varchar', 'constraint' => '1024'],
            'og_url'              => ['type' => 'varchar', 'constraint' => '1024'],
            'og_description'      => ['type' => 'varchar', 'constraint' => '1024'],
            'og_image'            => ['type' => 'varchar', 'constraint' => '1024'],
            'twitter_title'       => ['type' => 'varchar', 'constraint' => '1024'],
            'twitter_type'        => ['type' => 'varchar', 'constraint' => '1024'],
            'twitter_description' => ['type' => 'varchar', 'constraint' => '1024'],
            'twitter_image'       => ['type' => 'varchar', 'constraint' => '1024'],
        ];

        ee()->dbforge->add_field($fields);
        ee()->dbforge->add_key('id', true);
        ee()->dbforge->create_table('wm_seo_content');
    }

    /**
     * Rollback the migration
     * @return void
     */
    public function down()
    {
        ee()->dbforge->drop_table('wm_seo_content');
    }
}
