<?php

use ExpressionEngine\Service\Migration\Migration;

class CreateWmSeoConfigTable extends Migration
{
    /**
     * Execute the migration
     * @return void
     */
    public function up()
    {
        $fields = [
            'id'                   => ['type' => 'int', 'constraint' => '10', 'unsigned' => true, 'auto_increment' => true],
            'site_id'              => ['type' => 'int', 'constraint' => '4', 'unsigned' => true, 'default' => 1, 'null' => false],
            'template'             => ['type' => 'text', 'null' => false],
            'description'          => ['type' => 'text', 'null' => false],
            'title_postfix'        => ['type' => 'varchar', 'constraint' => '70', 'null' => false],
            'og_description'       => ['type' => 'varchar', 'constraint' => '1024', 'null' => false],
            'og_image'             => ['type' => 'varchar', 'constraint' => '1024', 'null' => false],
            'twitter_description'  => ['type' => 'varchar', 'constraint' => '70', 'null' => false],
            'twitter_image'        => ['type' => 'varchar', 'constraint' => '70', 'null' => false],
            'canonical_pagination' => ['type' => 'ENUM("y","n")', 'null' => false],
        ];

        ee()->dbforge->add_field($fields);
        ee()->dbforge->add_key('id', true);
        ee()->dbforge->create_table('wm_seo_config');
    }

    /**
     * Rollback the migration
     * @return void
     */
    public function down()
    {
        ee()->dbforge->drop_table('wm_seo_config');
    }
}
