<?php

use ExpressionEngine\Service\Migration\Migration;

class InsertDefaultConfig extends Migration
{
    /**
     * Execute the migration
     * @return void
     */
    public function up()
    {
        $template = <<<HTML
<title>{title}</title>
<meta name="description" content="{meta_description}">
<link rel="canonical" href="{canonical_url}">
{if robots_directive}<meta name="robots" content="{robots_directive}">{/if}
<!-- Open Graph -->
<meta property="og:title" content="{og_title}">
{if og_description}<meta property="og:description" content="{og_description}">{/if}
{if og_type}<meta property="og:type" content="{og_type}">{/if}
{if og_url}<meta property="og:url" content="{og_url}">{/if}
{if og_image}<meta property="og:image" content="{og_image}">{/if}
<!-- Twitter Card -->
<meta property="twitter:title" content="{twitter_title}">
{if twitter_type}<meta property="twitter:card" content="{twitter_type}">{/if}
{if twitter_description}<meta property="twitter:description" content="{twitter_description}">{/if}
{if twitter_image}<meta property="twitter:image" content="{twitter_image}">{/if}
HTML;

        ee()->db->insert('wm_seo_config', [
            'site_id'              => ee()->config->item('site_id'),
            'template'             => $template,
            'description'          => '',
            'title_postfix'        => ' |&nbsp;{site_name}',
            'og_description'       => '',
            'og_image'             => '',
            'twitter_description'  => '',
            'twitter_image'        => '',
            'canonical_pagination' => 'y',
        ]);
    }

    /**
     * Rollback the migration
     * @return void
     */
    public function down()
    {
    }
}
