<?php

namespace Zipscreen\Tags;

use ExpressionEngine\Service\Addon\Controllers\Tag\AbstractRoute;
use Solspace\Addons\FreeformNext\Library\EETags\FormTagParamUtilities;
use Solspace\Addons\FreeformNext\Library\Session\FormValueContext;
use Solspace\Addons\FreeformNext\Repositories\FormRepository;

class JsForm extends AbstractRoute
{
    // Example tag: {exp:zipscreen:js_form}
    public function process()
    {
        $handle = ee()->TMPL->fetch_param('form');
        $formModel = FormRepository::getInstance()->getFormByIdOrHandle($handle);

        if (!$formModel) {
            return null;
        }

        $form = $formModel->getForm();
        FormTagParamUtilities::setFormCustomAttributes($form);

        $actionId = ee()->db
            ->where([
                'class'  => 'Freeform_next',
                'method' => 'submitForm',
            ])
            ->get('actions')
            ->row()
            ->action_id;

        $submitUrl = sprintf('%s%s?ACT=%d', ee()->config->item('base_url'), ee()->config->item('site_index'), $actionId);

        $tagdata = ee()->TMPL->tagdata;
        $tagdata = ee()->TMPL->parse_variables_row($tagdata, [
            'form:action'     => $submitUrl,
            'form:hash_key'   => FormValueContext::FORM_HASH_KEY,
            'form:hash_value' => $form->getHash(),
        ]);

        return $tagdata;
    }
}
