<?php

use ExpressionEngine\Service\Migration\Migration;

class CreateExtHookFreeformNextFormAfterSubmitForAddonZipscreen extends Migration
{
    /**
     * Execute the migration
     * @return void
     */
    public function up()
    {
        $addon = ee('Addon')->get('zipscreen');

        $ext = [
            'class'    => $addon->getExtensionClass(),
            'method'   => 'freeform_next_form_after_submit',
            'hook'     => 'freeform_next_form_after_submit',
            'settings' => serialize([]),
            'priority' => 10,
            'version'  => $addon->getVersion(),
            'enabled'  => 'y',
        ];

        // If we didnt find a matching Extension, lets just insert it
        ee('Model')->make('Extension', $ext)->save();
    }

    /**
     * Rollback the migration
     * @return void
     */
    public function down()
    {
        $addon = ee('Addon')->get('zipscreen');

        ee('Model')->get('Extension')
            ->filter('class', $addon->getExtensionClass())
            ->delete();
    }
}
