<?php

$uri = trim($_SERVER['REQUEST_URI'] ?? '', '/');
$debug = !defined('REQ') && !isset($_GET['ACT']) && !isset($_POST['ACT']) && (getenv('DEBUG') ?? '0') !== '0';
$debug_templates = $debug && !preg_match('~^(where-to-buy/retailers|sitemap\.xml)~', $uri);

// -------------------------------------------------------------------------
// General Settings
// -------------------------------------------------------------------------

$config['show_ee_news'] = 'n';
$config['share_analytics'] = 'n';
$config['new_version_check'] = 'n';

// -------------------------------------------------------------------------
// URL and Path Settings
// -------------------------------------------------------------------------

$config['base_url'] = getenv('BASE_URL');
$config['base_path'] = dirname(__DIR__, 3) . '/public_html/';

$config['index_page'] = '';
$config['site_index'] = '';
$config['site_url'] = '{base_url}';
$config['theme_folder_path'] = '{base_path}themes/';
$config['default_site_timezone'] = 'Australia/Melbourne';

// -------------------------------------------------------------------------
// Debugging & Output
// -------------------------------------------------------------------------

// 0: no PHP/SQL errors shown
// 1: Errors shown to Super Admins
// 2: Errors shown to everyone
$config['debug'] = '0';//$debug_templates ? '2' : '0';

$config['show_profiler'] = ($debug_templates && !defined('REQ')) ? 'y' : 'n';
$config['enable_devlog_alerts'] = 'n';

// -------------------------------------------------------------------------
// Content & Design
// -------------------------------------------------------------------------

$config['new_posts_clear_caches'] = 'y';
$config['enable_sql_caching'] = 'y'; // Disable when using future or expiring entries
$config['enable_entry_cloning'] = 'y';
$config['enable_emoticons'] = 'n';

// -------------------------------------------------------------------------
// Template Settings
// -------------------------------------------------------------------------

$config['site_404'] = 'site/_404';

$config['strict_urls'] = 'y';
$config['save_tmpl_files'] = 'y';
$config['save_tmpl_globals'] = 'y';
$config['save_tmpl_revisions'] = 'n';
$config['hidden_template_404'] = 'y';
$config['hidden_template_indicator'] = '_';
$config['enable_template_routes'] = 'y';

// -------------------------------------------------------------------------
// Tracking
// -------------------------------------------------------------------------

$config['disable_all_tracking'] = 'y';
$config['enable_tracking_cookie'] = 'n';

// -------------------------------------------------------------------------
// Frontend Editing
// -------------------------------------------------------------------------

$config['enable_dock'] = 'n';
$config['enable_frontedit'] = 'y';
$config['automatic_frontedit_links'] = 'y';

// -------------------------------------------------------------------------
// Member settings
// -------------------------------------------------------------------------

$config['allow_member_registration'] = 'n';
$config['enable_photos'] = 'n';
$config['sig_allow_img_upload'] = 'n';
$config['profile_trigger'] = preg_replace('~[^a-z0-9]+~i', '_', uniqid(time(), true)); // added security

// -------------------------------------------------------------------------
// Security & Privacy
// -------------------------------------------------------------------------

$config['cp_session_type'] = 'c';

$config['cookie_prefix'] = '';
$config['cookie_secure'] = 'n';
$config['cookie_httponly'] = 'y';
$config['require_cookie_consent'] = 'n';

// -------------------------------------------------------------------------
// Other system settings
// -------------------------------------------------------------------------

// Whitelist mime types for file upload
$config['mime_whitelist_additions'] = [];

// -------------------------------------------------------------------------
// 3rd Party Add-ons
// -------------------------------------------------------------------------

// WM SEO

$config['wm_seo_tab_title'] = 'SEO';
$config['wm_seo_exclude_channels'] = [2, 3];

// WM Address

$config['wm_address_gmaps_api_key'] = 'AIzaSyBSQOIiHbQ6UlzTyEJMJvykvX8SYxXLjc8';

// WM Asset Manifest

$config['wm_asset_manifest'] = $config['base_path'] . 'assets/asset-manifest.json';

// -------------------------------------------------------------------------
// Global variables
// -------------------------------------------------------------------------

global $assign_to_config;
$assign_to_config['global_vars'] = [];

// Tag parameters

$assign_to_config['global_vars']['global:disable'] = 'disable="categories|category_fields|member_data|pagination"';
$assign_to_config['global_vars']['global:disable_all'] = 'disable="categories|category_fields|custom_fields|member_data|pagination|relationships"';
$assign_to_config['global_vars']['global:pagination'] = 'dynamic="no" paginate="bottom" disable="categories|category_fields|member_data"';
$assign_to_config['global_vars']['global:single'] = 'limit="1" require_entry="yes"';
$assign_to_config['global_vars']['global:sort_date'] = 'orderby="entry_date" sort="desc"';
$assign_to_config['global_vars']['global:sort_title'] = 'orderby="title" sort="asc"';
$assign_to_config['global_vars']['global:cache'] = 'cache="yes" refresh="120"';

// General variables

$assign_to_config['global_vars']['global:google_analytics'] = getenv('GOOGLE_ANALYTICS_ID');
